Subject: [dispatch] DISPATCH IETF-76 plans

From: "Mary Barnes" <[email-masked]>
Date: Thu, 1 Oct 2009 08:56:19 -0500

Hi all, 

Per Gonzalo's reminder on Sept. 16th, charter proposals for the topics
to be handled/dispatched prior to and at IETF-76 were due on Sept. 21st.
The following summarizes the status of the topics that had been
previously put forth - both prior to Sept. 7th deadline and up through
the 21st. Obviously, we have to balance interest and willingness to
contribute to the work (based on mailing list discussions) with the fact
that some folks were more conscientious in meeting the deadlines. 

We received charter proposals (problem statements/deliverables) for the
following, with the current status highlighted.  

o Overload (received prior to Sept. 16th) - separate mailing list setup.
Needs more discussion. 

o CBUS: some good discussion on problem statement. Needs more
discussion.

o Session recording: updated charter proposal based on IETF-75 feedback.
Need more WG feedback. Is this ready?  

o Disaggregated media: Good level of interest 

o SIP - XMPP:  High level of WG interest. Propose a separate Mailing
list and Adhoc at IETF-76. 

o Alert-info URNs: Good level of interest. 

o NGN Reason: Some interest. Needs more discussion and scoping. 

The above items are the current targets for IETF-76 discussions.  Based
on those discussions, agenda time will be allocated, items dispatched
and adhocs scheduled as appropriate. Note, that the minimum time we
would allocate to a topic is 30 minutes and some may warrant 45 minutes.
If we schedule adhocs, we will try to have those announced around the
time the agenda is finalized. 

As a reminder, the following are the cutoffs for drafts, so please make
sure that any drafts relevant to the topic are submitted prior to those
deadlines:
* - 00 documents:  Oct. 19th (just over 2 weeks)
* all other documents: Oct. 26th (just over 3 weeks)

Please keep in mind that the focus of discussions should be the problem
statement, scope and proposed deliverables for the topic.    

We did not receive charter proposals for the following. The current
status is summarized:
o Third-party authorization: Pre-IETF-75 problem statement had some
discussion. But, no discussion since that time. 
o Identity: Document available. Need further discussion and WG feedback
to refine requirements, problem statement, scope and
deliverables/milestones. 
o Domain registrations in SIP: Problem statement posted, but no
deliverables/milestones or document. 
o Reference to an earlier communication: Problem statement posted, but
no deliverables/milestones or document. 

As a reminder, items can be dispatched without being discussed at a f2f
meeting and the most effective way to achieve this is to have problem
statements, scope of topics and any relevant documents available early
enough for the WG to provide feedback - i.e., you do not have to wait
for the pre-meeting deadlines, which are more in the way of drop dead
dates than optimal dates.  

Please, let the chairs know if there are any concerns.

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: "Elwell, John" <[email-masked]>
Date: Thu, 1 Oct 2009 16:43:18 +0200

Mary,

As I indicated earlier, a charter proposal for Identity is not appropriate at this stage. However, Victor and I still anticipate the need for discussion time during the DISPATCH session, based on a revised draft due to appear in the next week or so.

John

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Mary Barnes
> Sent: 01 October 2009 14:56
> To: [email-masked]
> Subject: [dispatch] DISPATCH IETF-76 plans
> 
> Hi all, 
> 
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch
>

---

From: "Christer Holmberg" <[email-masked]>
Date: Thu, 1 Oct 2009 20:10:21 +0200

Hi Mary,
 
Regarding CBUS, there has been some questoin regarding the event package definition procedure, so to start with I think it would be useful to get that clarified.
 
Regards,
 
Christer

________________________________

From: [email-masked] on behalf of Mary Barnes
Sent: Thu 01/10/2009 15:56
To: [email-masked]
Subject: [dispatch] DISPATCH IETF-76 plans

Hi all,

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: <[email-masked]>
Date: Fri, 2 Oct 2009 07:51:17 +0200

Dear all,
I see that after my renewal of the draft only some comments were given.
We see this as an important issue to keep interoperability between PSTN and SIP networks.

Meanwhile there is also a request on putting a Reason Header within a 183 Progress due to the fact that it is possible to put a Q.850 cause value within an ACM including an indication that an announcement is played.

This case would be valuable for a PSTN - SIP -PSTN passing without any use of SIP-T.

The main used case is to put the Reason Header within 4xx, 5xx, 6xx and 199 to send an specific indication either back into an other PSTN or an Application Server that can put an announcement into the path based on the ISUP cause.

But nevertheless I Would like to see this draft on the agenda and at least as an Woki Item within DISPATCH.

Best regards

Roland  

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Mary Barnes
Gesendet: Donnerstag, 1. Oktober 2009 15:56
An: [email-masked]
Betreff: [dispatch] DISPATCH IETF-76 plans

Hi all, 

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: "Mary Barnes" <[email-masked]>
Date: Sat, 3 Oct 2009 17:18:23 -0500

Hi Christer,

Per RFC 3427bis, the procedure for event packages is as follows:

   Individual proposals for registration of a SIP event package MUST
   first be published as Internet-drafts for review by the DISPATCH
   Working Group, or the working group, mailing list, or expert
   designated by the RAI Area Directors if the DISPATCH Working Group
   has closed.  Proposals should include a strong motivational section,
   a thorough description of the proposed syntax and semantics, event
   package considerations, security considerations, and examples of
   usage.  Authors should submit their proposals as individual Internet-
   Drafts, and post an announcement to the working group mailing list to
   begin discussion.  The DISPATCH Working Group will determine if a
   proposed package is a) an appropriate usage of SIP which should be
   spun into a new effort, b) applicable to SIP but not sufficiently
   interesting, general, or in-scope to adopt as a working group effort,
   c) contrary to similar work chartered in an existing effort, or d)
   should be adopted as or merged with chartered work.

So, you're at the point of determining whether the proposed event
package fits into the a), b), c) or d), which is what determines how the
solution work would be handled.  It's not clear to me from looking at
the discussion thread that the working has agreed the category - i.e., I
see some suggestions that this could be a general mechanism, etc. 

I realize the new process is slightly confusing, but the idea beyond the
charter proposals is to ensure that the problem statement is clear and
well scoped and that the path forward for a solution is well understood
and is agreed by the DISPATCH WG (and ADs, of course). 

Thanks,
Mary. 

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]] 
Sent: Thursday, October 01, 2009 1:10 PM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: RE: [dispatch] DISPATCH IETF-76 plans

Hi Mary,
 
Regarding CBUS, there has been some questoin regarding the event package
definition procedure, so to start with I think it would be useful to get
that clarified.
 
Regards,
 
Christer

Hi all,

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: "Mary Barnes" <[email-masked]>
Date: Sat, 3 Oct 2009 17:50:49 -0500

Hi Roland,

Just an initial point of clarification in that we don't charter work items for the DISPATCH WG. We evaluate the scope of a problem, define a clear problem statement and proposed work item(s) and then determine where/how the work should be done.  

One thing that needs clarification in your charter proposal is whether you are proposing an informational document or an updates to RFC 3326.  The charter item seems to imply an informational document, but can you please clarify?  

If we can agree to work on the problem on the mailing list, then you wouldn't necessarily need agenda time.  So, WG feedback is needed here. 

Thanks,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, October 02, 2009 12:51 AM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: AW: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

 Dear all,

Best regards

Roland  

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Mary Barnes
Gesendet: Donnerstag, 1. Oktober 2009 15:56
An: [email-masked]
Betreff: [dispatch] DISPATCH IETF-76 plans

Hi all, 

Per Gonzalo's reminder on Sept. 16th, charter proposals for the topics to be handled/dispatched prior to and at IETF-76 were due on Sept. 21st.
The following summarizes the status of the topics that had been previously put forth - both prior to Sept. 7th deadline and up through the 21st. Obviously, we have to balance interest and willingness to contribute to the work (based on mailing list discussions) with the fact that some folks were more conscientious in meeting the deadlines. 

We received charter proposals (problem statements/deliverables) for the following, with the current status highlighted.  

o CBUS: some good discussion on problem statement. Needs more discussion.

o SIP - XMPP:  High level of WG interest. Propose a separate Mailing list and Adhoc at IETF-76. 

The above items are the current targets for IETF-76 discussions.  Based on those discussions, agenda time will be allocated, items dispatched and adhocs scheduled as appropriate. Note, that the minimum time we would allocate to a topic is 30 minutes and some may warrant 45 minutes.
If we schedule adhocs, we will try to have those announced around the time the agenda is finalized. 

As a reminder, the following are the cutoffs for drafts, so please make sure that any drafts relevant to the topic are submitted prior to those
deadlines:
* - 00 documents:  Oct. 19th (just over 2 weeks)
* all other documents: Oct. 26th (just over 3 weeks)

We did not receive charter proposals for the following. The current status is summarized:
o Third-party authorization: Pre-IETF-75 problem statement had some discussion. But, no discussion since that time. 
o Identity: Document available. Need further discussion and WG feedback to refine requirements, problem statement, scope and deliverables/milestones. 
o Domain registrations in SIP: Problem statement posted, but no deliverables/milestones or document. 
o Reference to an earlier communication: Problem statement posted, but no deliverables/milestones or document. 

As a reminder, items can be dispatched without being discussed at a f2f meeting and the most effective way to achieve this is to have problem statements, scope of topics and any relevant documents available early enough for the WG to provide feedback - i.e., you do not have to wait for the pre-meeting deadlines, which are more in the way of drop dead dates than optimal dates.  

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: "Christer Holmberg" <[email-masked]>
Date: Sun, 4 Oct 2009 22:50:17 +0200

Hi Mary,

>and is agreed by the DISPATCH WG (and ADs, of course).

We did submit a draft. We did get some feedback for clarification, and 
our intention is to submit a new version of the draft.
 
But, there were some comments and questiongs about the procedures, and we wanted to sort those out.
 
Now, as far as a), b), c) and d) are concerned, I see no reason why this would not
be approriate usage of SIP. Whether it fits into an existing chartered work, I think it fits into 
SIPCORE charter, which does include SUB/NOT related issues.
 
Having said that, RFC 4660/1 were done in SIMPLE, so I guess that would be another alternative.
 
Personally I do not see a need to form a new WG for this, but that is of course for the WG to decide.
 
Regards,
 
Christer

 

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Thursday, October 01, 2009 1:10 PM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: RE: [dispatch] DISPATCH IETF-76 plans

Hi Mary,

Regards,

Christer

Hi all,

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: "Belling, Thomas (NSN - DE/Munich)" <[email-masked]>
Date: Mon, 5 Oct 2009 18:02:49 +0200

Hi Roland, Mary all

3GPP is relying upon this and waiting already for a long time for this to be progressed.
I would be very grateful if a way forward to bring this into RFC state in the foreseeable future could be found.

Roland, thanks for raising the 183 issue. As this entire work is motivated by ISUP interworking and ISUP also allows for Causes in ACM or CPG, it makes sense to allow the reason headers also in the corresponding SIP 180 and 183 responses. I expect some related discussions in the 3GPP CT3 meeting next week. Perhaps you can then update the draft accordingly (also relating to the requirements section).

Thomas

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext [email-masked]
Sent: Friday, October 02, 2009 7:51 AM
To: [email-masked]; [email-masked]
Subject: Re: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

 Dear all,

Best regards

Roland  

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Mary Barnes
Gesendet: Donnerstag, 1. Oktober 2009 15:56
An: [email-masked]
Betreff: [dispatch] DISPATCH IETF-76 plans

Hi all, 

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: <[email-masked]>
Date: Tue, 6 Oct 2009 16:01:29 +0200

Hi Mary,
Thank you for your clarification. So I will wait for that discussion. 

With regard to your question I'm not really clear what the best way would be.

This behaviour would complete the behaviour of RFC 3326. And RFC 3326 gives clear guidance what to do with the case for Reason in Responses, so it is my understanding to have an own document. So that is my proposal.

Question is now if it should be an informal document. If this is sufficient I'm happy with that way if not we should change the status. I would be happy on comments on this.

Thank you and Best Regards

Roland

-----Ursprüngliche Nachricht-----
Von: Mary Barnes [mailto:[email-masked]] 
Gesendet: Sonntag, 4. Oktober 2009 00:51
An: Jesske, Roland; [email-masked]
Betreff: RE: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Roland,

Thanks,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, October 02, 2009 12:51 AM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: AW: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

 Dear all,

Best regards

Roland  

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Mary Barnes
Gesendet: Donnerstag, 1. Oktober 2009 15:56
An: [email-masked]
Betreff: [dispatch] DISPATCH IETF-76 plans

Hi all, 

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: "Belling, Thomas (NSN - DE/Munich)" <[email-masked]>
Date: Tue, 6 Oct 2009 17:15:27 +0200

Hi Mary, Roland

RFC 3326 states:

   Initially, the Reason header field defined here appears to be most
   useful for BYE and CANCEL requests, but it can appear in any request
   within a dialog, in any CANCEL request and in any response whose
   status code explicitly allows the presence of this header field.

We are interested in adding the reason header to responses.

This could be done in the standard where the response codes are defined. However, most response codes of interest come from RFC 3261 and touching this RFC is certainly not the most brilliant idea. 

The alternative is that RFC 3326 is updated, e.g. by the draft we are discussing.
This seems the prefered way. But RFC 3326 is standard track. Is it possible to update it with an informational RFC?

Thomas

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext [email-masked]
Sent: Tuesday, October 06, 2009 4:01 PM
To: [email-masked]; [email-masked]
Subject: Re: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Mary,

Roland

-----Ursprüngliche Nachricht-----
Von: Mary Barnes [mailto:[email-masked]]
Gesendet: Sonntag, 4. Oktober 2009 00:51
An: Jesske, Roland; [email-masked]
Betreff: RE: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Roland,

Thanks,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, October 02, 2009 12:51 AM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: AW: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

 Dear all,

Best regards

Roland  

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Mary Barnes
Gesendet: Donnerstag, 1. Oktober 2009 15:56
An: [email-masked]
Betreff: [dispatch] DISPATCH IETF-76 plans

Hi all, 

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: "Mary Barnes" <[email-masked]>
Date: Mon, 12 Oct 2009 12:05:16 -0500

Hi Roland,

If you are just adding clarifications to the existing RFC, then it can be an informational document, similar to the model for the SIPPING WG offer-answer document.  If you are changing any normative statements, then you need at least a standards track document as an "Update" to RFC 3326.  And "Update" could still be used even if normative functionality is not changed if the clarifications are far more understandable integrated into RFC 3326. 

For an informational document we would still need to determine whether it would be AD sponsored or need a mini-WG or fits within SIPCORE, for example.  

Regards,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, October 06, 2009 9:01 AM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: AW: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Mary,

Roland

-----Ursprüngliche Nachricht-----
Von: Mary Barnes [mailto:[email-masked]]
Gesendet: Sonntag, 4. Oktober 2009 00:51
An: Jesske, Roland; [email-masked]
Betreff: RE: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Roland,

Thanks,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, October 02, 2009 12:51 AM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: AW: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

 Dear all,

Best regards

Roland  

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Mary Barnes
Gesendet: Donnerstag, 1. Oktober 2009 15:56
An: [email-masked]
Betreff: [dispatch] DISPATCH IETF-76 plans

Hi all, 

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: <[email-masked]>
Date: Tue, 13 Oct 2009 00:17:05 +0200

Hi Mary,
So I would like to go with the informal approach. 

When I started the discussion on this issue in advance to the Stockholm meeting I've got only feedback from DISPATCH and BLISS but not from SIPCORE.
BLISS see this issue within their scope because it solves interoperability  problems with the PSTN/ISDN.
DISPATCH discussed the draft which resulted in the new version.

Question for me now is should I ask again on all lists who will be responsible. Or is there an other way to go? 

Best Regards

Roland

-----Ursprüngliche Nachricht-----
Von: Mary Barnes [mailto:[email-masked]] 
Gesendet: Montag, 12. Oktober 2009 19:05
An: Jesske, Roland; [email-masked]
Betreff: RE: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Roland,

Regards,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, October 06, 2009 9:01 AM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: AW: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Mary,

Roland

-----Ursprüngliche Nachricht-----
Von: Mary Barnes [mailto:[email-masked]]
Gesendet: Sonntag, 4. Oktober 2009 00:51
An: Jesske, Roland; [email-masked]
Betreff: RE: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Roland,

Thanks,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, October 02, 2009 12:51 AM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: AW: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

 Dear all,

Best regards

Roland  

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Mary Barnes
Gesendet: Donnerstag, 1. Oktober 2009 15:56
An: [email-masked]
Betreff: [dispatch] DISPATCH IETF-76 plans

Hi all, 

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: "Mary Barnes" <[email-masked]>
Date: Mon, 12 Oct 2009 17:48:45 -0500

Hi Roland,

This list is fine for this discussion. The needed feedback from the WG right now is whether folks find the problem statement adequate and if they believe that an informational document is sufficient to resolve the requirements and address the concerns for which this document is intended.  Based on past discussions, it seemed that normative changes to RFC 3326 might be needed to resolve some of the issues raised. For example, this thread:
http://www.ietf.org/mail-archive/web/dispatch/current/msg00491.html

Once we get feedback on the mailing list that folks agree the problem statement and proposed work item (it seems there is sufficient interest in general in solving the problem), the WG chairs can discuss with the ADs the appropriate place to progress the work.

Thanks,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, October 12, 2009 5:17 PM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: AW: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Mary,

Best Regards

Roland

-----Ursprüngliche Nachricht-----
Von: Mary Barnes [mailto:[email-masked]]
Gesendet: Montag, 12. Oktober 2009 19:05
An: Jesske, Roland; [email-masked]
Betreff: RE: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Roland,

Regards,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, October 06, 2009 9:01 AM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: AW: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Mary,

Roland

-----Ursprüngliche Nachricht-----
Von: Mary Barnes [mailto:[email-masked]]
Gesendet: Sonntag, 4. Oktober 2009 00:51
An: Jesske, Roland; [email-masked]
Betreff: RE: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi Roland,

Thanks,
Mary. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, October 02, 2009 12:51 AM
To: Barnes, Mary (RICH2:AR00); [email-masked]
Subject: AW: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

 Dear all,

Best regards

Roland  

-----Ursprüngliche Nachricht-----
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Mary Barnes
Gesendet: Donnerstag, 1. Oktober 2009 15:56
An: [email-masked]
Betreff: [dispatch] DISPATCH IETF-76 plans

Hi all, 

Thanks,
Mary Barnes
DISPATCH WG co-chair

---

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 20 Oct 2009 15:27:13 +0300

Hi,

yes, it seems that a normative RFC would be more appropriate if we 
decide to work on this.

Cheers,

Gonzalo

---

From: <[email-masked]>
Date: Wed, 21 Oct 2009 07:39:21 +0200

Hi Gonzalo,
Also a normative RFC is fine for me. 

Best Regards

Roland 
-----Ursprüngliche Nachricht-----
Von: Gonzalo Camarillo [mailto:[email-masked]] 
Gesendet: Dienstag, 20. Oktober 2009 14:27
An: Mary Barnes
Cc: Jesske, Roland; [email-masked]
Betreff: Re: [dispatch] DISPATCH IETF-76 plans - Reason in Responses

Hi,

Cheers,

Gonzalo